Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.mime
Interface MIMEPackage.Literals

Enclosing interface:
  MIMEPackage

    public static interface MIMEPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` | `IMIME_CONTENT` The meta object literal for the '`IMIME Content`' class
`static EClass` | `IMIME_MIME_XML` The meta object literal for the '`IMIME Mime Xml`' class
`static EClass` | `IMIME_MULTIPART_RELATED` The meta object literal for the '`IMIME Multipart Related`' class
`static EClass` | `IMIME_PART` The meta object literal for the '`IMIME Part`' class
`static EDataType` | `LIST` The meta object literal for the 'List' data type
`static EClass` | `MIME_CONTENT` The meta object literal for the '`Content`' class
`static EReference` | `MIME_CONTENT__EPART` The meta object literal for the 'EPart' reference feature
`static EAttribute` | `MIME_CONTENT__TYPE` The meta object literal for the 'Type' attribute feature
`static EClass` | `MIME_MIME_XML` The meta object literal for the '`Mime Xml`' class
`static EReference` | `MIME_MIME_XML__EPART` The meta object literal for the 'EPart' reference feature
`static EClass` | `MIME_MULTIPART_RELATED` The meta object literal for the '`Multipart Related`' class
`static EReference` | `MIME_MULTIPART_RELATED__EMIME_PART` The meta object literal for the 'EMIME Part' containment reference list feature
`static EClass` | `MIME_PART` The meta object literal for the '`Part`' class
`static EReference` | `MIME_PART__EEXTENSIBILITY_ELEMENTS` The meta object literal for the 'EExtensibility Elements' containment reference list feature

Field Detail

### MIME_CONTENT

    static final EClass MIME_CONTENT

  The meta object literal for the '`Content`' class.

  See Also:
    `MIMEContentImpl`, `MIMEPackageImpl.getMIMEContent()`

### MIME_CONTENT__TYPE

    static final EAttribute MIME_CONTENT__TYPE

  The meta object literal for the 'Type' attribute feature.

### MIME_CONTENT__EPART

    static final EReference MIME_CONTENT__EPART

  The meta object literal for the 'EPart' reference feature.

### MIME_PART

    static final EClass MIME_PART

  The meta object literal for the '`Part`' class.

  See Also:
    `MIMEPartImpl`, `MIMEPackageImpl.getMIMEPart()`

### MIME_PART__EEXTENSIBILITY_ELEMENTS

    static final EReference MIME_PART__EEXTENSIBILITY_ELEMENTS

  The meta object literal for the 'EExtensibility Elements' containment reference list feature.

### MIME_MULTIPART_RELATED

    static final EClass MIME_MULTIPART_RELATED

  The meta object literal for the '`Multipart Related`' class.

  See Also:
    `MIMEMultipartRelatedImpl`, `MIMEPackageImpl.getMIMEMultipartRelated()`

### MIME_MULTIPART_RELATED__EMIME_PART

    static final EReference MIME_MULTIPART_RELATED__EMIME_PART

  The meta object literal for the 'EMIME Part' containment reference list feature.

### MIME_MIME_XML

    static final EClass MIME_MIME_XML

  The meta object literal for the '`Mime Xml`' class.

  See Also:
    `MIMEMimeXmlImpl`, `MIMEPackageImpl.getMIMEMimeXml()`

### MIME_MIME_XML__EPART

    static final EReference MIME_MIME_XML__EPART

  The meta object literal for the 'EPart' reference feature.

### IMIME_PART

    static final EClass IMIME_PART

  The meta object literal for the '`IMIME Part`' class.

  See Also:
    `MIMEPart`, `MIMEPackageImpl.getIMIMEPart()`

### IMIME_MULTIPART_RELATED

    static final EClass IMIME_MULTIPART_RELATED

  The meta object literal for the '`IMIME Multipart Related`' class.

  See Also:
    `MIMEMultipartRelated`, `MIMEPackageImpl.getIMIMEMultipartRelated()`

### IMIME_CONTENT

    static final EClass IMIME_CONTENT

  The meta object literal for the '`IMIME Content`' class.

  See Also:
    `MIMEContent`, `MIMEPackageImpl.getIMIMEContent()`

### IMIME_MIME_XML

    static final EClass IMIME_MIME_XML

  The meta object literal for the '`IMIME Mime Xml`' class.

  See Also:
    `MIMEMimeXml`, `MIMEPackageImpl.getIMIMEMimeXml()`

### LIST

    static final EDataType LIST

  The meta object literal for the 'List' data type.

  See Also:
    `List`, `MIMEPackageImpl.getList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD